{ sources ? import ./nix/sources.nix
, pkgs ? import sources.nixpkgs { overlays = [ (import sources.nixpkgs-mozilla) ]; }
, dhall ? import sources.easy-dhall-nix { } }:

pkgs.mkShell {
  buildInputs = with pkgs; [
    latest.rustChannels.nightly.rust
    cargo-watch

    # dhall
    dhall.dhall-simple

    # system
    openssl
    pkg-config
  ];
}
